<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout = "http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{user/dashboardLayout.html}">
<head>
    <style>
        body {
            background-color: #eee
        }

        .t-products {
            background-image: linear-gradient(to right top, #5629c0, #5625cb, #5620d5, #551ae0, #5412eb);
            color: #fff;
            border-radius: 3px
        }

        .processor {
            background-color: #fff;
            margin-top: 5px;
            border-bottom: 1px solid #eee
        }

        .brand {
            background-color: #fff;
            border-bottom: 1px solid #eee
        }

        .type {
            background-color: #fff
        }

        .product {
            padding: 10px;
            background-color: #fff;
            border-radius: 5px;
            position: relative
        }

        .about span {
            color: #5629c0;
            font-size: 16px
        }

        .cart-button button {
            font-size: 12px;
            color: #fff;
            background-color: #5629c0;
            height: 38px
        }

        .cart-button button:focus,
        button:active {
            font-size: 12px;
            color: #fff;
            background-color: #5629c0;
            box-shadow: none
        }

        .product_fav i {
            line-height: 40px;
            color: #5629c0;
            font-size: 15px
        }

        .product_fav {
            display: inline-block;
            width: 36px;
            height: 39px;
            background: #FFFFFF;
            box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.1);
            border-radius: 11%;
            text-align: center;
            cursor: pointer;
            margin-left: 3px;
            -webkit-transition: all 200ms ease;
            -moz-transition: all 200ms ease;
            -ms-transition: all 200ms ease;
            -o-transition: all 200ms ease;
            transition: all 200ms ease
        }

        .product_fav:hover {
            background: #5629c0
        }

        .product_fav:hover i {
            color: #fff
        }

        .about {
            margin-top: 12px
        }

        .off {
            position: absolute;
            left: 65%;
            top: 6%;
            width: 80px;
            text-align: center;
            height: 30px;
            line-height: 8px;
            border-radius: 5px;
            font-size: 13px;
            display: flex;
            align-items: center;
            justify-content: center;
            color: #fff
        }
    </style>
</head>
<body>

<div class="container-fluid mt-5 mb-5" layout:fragment="content">
    <div class="row g-2">
        <div class="col-md-3">
            <form th:action="@{'/product/'+${categoryId}}" method="post">
            <div class="t-products p-2">
                <h6 class="text-uppercase">Computer & Smart Phone</h6>
                <div class="p-lists">
                    <div class="d-flex justify-content-between mt-2"> <span>Laptops</span></div>
                    <div class="d-flex justify-content-between mt-2"> <span>Desktops</span></div>
                    <div class="d-flex justify-content-between mt-2"> <span>Mobiles</span></div>
                </div>
            </div>
            <div class="form-inline float-left">
                    <label for="name">Search By Name:</label>
                    <input type="text"
                           class="form-control ml-2" name="name" id="name" aria-describedby="nameId" placeholder="Name">
                    <label>Sort by:</label>
                    <select name="sortBy">
                        <option value="name">Name</option>
                        <option value="unitPrice">Price</option>
                    </select>
            </div>
            <div class="brand p-2">
                <label>Price</label>
                <div class="row">
                    <label for="rangeMin">From:</label>
                    <input class="form-control ml-2" type="number" id="rangeMin" name="minVal"/>
                    <label for="rangeMax">To:</label>
                    <input class="form-control ml-2" type="number" id="rangeMax" name="maxVal"/>
                </div>
            </div>
            <button class="btn btn-outline-primary ml-2">Search</button>
        </form>
        </div>
        <div class="col-md-9">
            <div class="row g-2">
                <div th:if="${message} != null">
                    <span th:text="${message}" style="color: red"></span>
                </div>
                <div class="col-md-4" th:each="product, istart: ${products}">
                    <div class="product py-4"> <span class="off bg-success" th:text="${product.discount} + '%'"></span>
                        <div class="text-center"> <img th:src="${product.image != null ? '/admin/products/images/' + product.image  : '/admin/products/images/noimg.png'}" height="200"> </div>
                        <div class="about text-center">
                            <h5 th:text="${product.name}"></h5> <span th:text="${product.unitPrice} + '$'"></span>
                        </div>
                        <div th:if="${product.status} != 0" class="about text-center">
                            <h6 th:text="'Quantity: ' + ${product.quantity}"></h6>
                        </div>
                        <div class="about text-center">
                            <div th:if="${product.status} == 0">
                                <h5 style="color: red">Out of stock</h5>
                            </div>
                            <div th:if="${product.status} == 1">
                                <h5>On sale</h5>
                            </div>
                            <div th:if="${product.status} == 2">
                                <h5>Best seller</h5>
                            </div>
                        </div>
                        <div class="row">
                            <div th:if="${product.status} != 0" class="cart-button mt-3 px-2 d-flex justify-content-between align-items-center">
                                <div>
                                    <a th:if="${session.username}"  th:href="@{'/carts/add/' + ${product.productId}}" class="btn btn-primary text-uppercase">Add to cart</a>
                                    <a th:unless="${session.username}"  th:href="@{/alogin}" class="btn btn-primary text-uppercase">Add to cart</a>
                                </div>
                            </div>
                            <div th:if="${product.status} == 0" class="cart-button mt-3 px-2 d-flex justify-content-between align-items-center">
                                <div>
                                    <a style="text-decoration: line-through;"   class="btn btn-primary text-uppercase">Add to cart</a>
                                </div>
                            </div>
                            <div class="cart-button mt-3 px-2 d-flex justify-content-between align-items-center"> <a th:href="@{'/view/' + ${product.productId}}"  align="center" class="btn btn-primary text-uppercase">View</a></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <nav aria-label="Page navigation"
         th:if="${productPage.totalPages > 0}">
        <ul class="pagination justify-content-center">
            <li th:class="${1 == productPage.number + 1} ? 'page-item active' : 'page-item'">
                <a th:href="@{'/product/' + ${categoryId}(sortByRaw=${sortBy}, nameRaw=${name}, minVal=${minVal}, maxVal=${maxVal},page=${1})}"
                   class="page-link">First
                </a>
            </li>
            <li class="page-item active"
                th:each="pageNumber : ${pageNumbers}"
                th:if="${productPage.totalPages > 1}"
                th:class="${pageNumber == productPage.number + 1} ? 'page-item active': 'page-item'">
                <a th:href="@{'/product/' + ${categoryId}(sortByRaw=${sortBy}, nameRaw=${name},  minVal=${minVal}, maxVal=${maxVal}, page=${pageNumber})}"
                   class="page-link"
                   th:text="${pageNumber}">
                </a>
            </li>

            <li th:class="${productPage.totalPages == productPage.number + 1} ? 'page-item-active' : 'page-item'">
                <a th:href="@{'/product/' + ${categoryId}(sortByRaw=${sortBy}, nameRaw=${name}, minVal=${minVal}, maxVal=${maxVal}, page=${productPage.totalPages})}"
                   class="page-link">Last
                </a>
            </li>
        </ul>
    </nav>
</div>
</body>
</html>
